Bug 11543 - vfs_fruit: return value of ad_pack in vfs_fruit.c
vfs_fruit: return value of ad_pack in vfs_fruit.c
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: VFS Modules
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-06 16:00 UTC by Ralph Böhme
Modified: 2015-10-19 08:49 UTC (History)
2 users (show)

See Also:


Attachments
Patch for 4.2 and 4.3 cherry-picked from master (1.67 KB, patch)
2015-10-06 16:03 UTC, Ralph Böhme
jra: review+
uri: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ralph Böhme 2015-10-06 16:00:10 UTC
ad_pack() in vfs_fruit.c returns false on failure and 0 on success -  i.e. return value is interpreted as success even when it fails.
Comment 1 Ralph Böhme 2015-10-06 16:03:06 UTC
Created attachment 11481 [details]
Patch for 4.2 and 4.3 cherry-picked from master
Comment 2 Jeremy Allison 2015-10-06 17:49:52 UTC
Re-assigning to Karolin for inclusion in 4.3.next, 4.2.next.
Comment 3 Karolin Seeger 2015-10-12 19:37:37 UTC
(In reply to Jeremy Allison from comment #2)
Pushed to autobuild-v4-[2|3]-test.
Comment 4 Karolin Seeger 2015-10-19 08:49:17 UTC
(In reply to Karolin Seeger from comment #3)
Pushed to both branches.
Closing out bug report.

Thanks!